require 'test_helper'

class AgentTest < TestCase
  
  def setup
  end

  def teardown
    OzonParser.config_reset
  end

  def test_agent_with_proxy
    agent = OzonParser::Agent.new proxy: 'http://127.0.0.1:8080'
    agent.set_proxy

    assert { agent.current_proxy.host == '127.0.0.1'}
    assert { agent.current_proxy.port == 8080 }
  end


  def test_configure_method
    OzonParser.configure do |config|
      config.proxy_list = ['http://127.0.0.2:8081']
    end

    agent = OzonParser::Agent.new
    agent.set_proxy

    assert { agent.current_proxy.host == '127.0.0.2' }
    assert { agent.current_proxy.port == 8081 }
  end

  def test_configure_method_with_proxy_false
    OzonParser.configure do |config|
      config.proxy_list = ['http://127.0.0.3:8082']
    end

    agent = OzonParser::Agent.new proxy: false
    agent.set_proxy

    assert { agent.current_proxy.nil? }
  end
end