require 'test_helper'

class ProxyListTest < TestCase
  
  def setup
    @list = OzonParser::ProxyList.new ['http://127.0.0.1:8080', 'http://10.0.0.1:3040']
  end

  def teardown
    OzonParser.config_reset
  end

  def test_round_robin
    first_proxy = @list.next
    second_proxy = @list.next

    assert { first_proxy != second_proxy }
  end

  def test_freeze_proxy
    proxy = @list.next
    @list.freeze_proxy proxy
    deny { @list.include? proxy }
  end

end